import 'package:flutter/widgets.dart';
import 'package:justino_icons/src/names.dart';

@immutable
class JustinoIconData extends IconData {
  final String name;
  const JustinoIconData(int codePoint, this.name) : 
  super(
    codePoint,
    fontFamily: 'JustinoIcons',
    fontPackage: 'justino_icons'
  );
}

@immutable
class JustinoIcons {
  JustinoIcons._();

  static List<JustinoIconData> get allIcons {
    return names.keys.map((key){
      int code = names[key]!;
      return JustinoIconData(code, key);
    }).toList();
  }

  static JustinoIconData byName(String name) {
    int code = names[name] ?? -1;
    if (code != -1) {
      return JustinoIconData(code, name);
    } else {
      String key = 'best';
      int value = names[key]!;
      return JustinoIconData(value, key);
    }
  }

  static IconData acousticGuitar = JustinoIcons.byName('acousticGuitar');
  static IconData aircraft = JustinoIcons.byName('aircraft');
  static IconData airplane = JustinoIcons.byName('airplane');
  static IconData alarmBell = JustinoIcons.byName('alarmBell');
  static IconData alarmClock = JustinoIcons.byName('alarmClock');
  static IconData alien = JustinoIcons.byName('alien');
  static IconData appStore = JustinoIcons.byName('appStore');
  static IconData athlete = JustinoIcons.byName('athlete');
  static IconData audioWaves = JustinoIcons.byName('audioWaves');
  static IconData badge1 = JustinoIcons.byName('badge1');
  static IconData badge2 = JustinoIcons.byName('badge2');
  static IconData badge = JustinoIcons.byName('badge');
  static IconData baggage = JustinoIcons.byName('baggage');
  static IconData balloons = JustinoIcons.byName('balloons');
  static IconData banjo = JustinoIcons.byName('banjo');
  static IconData bank1 = JustinoIcons.byName('bank1');
  static IconData bank = JustinoIcons.byName('bank');
  static IconData baseballBall = JustinoIcons.byName('baseballBall');
  static IconData basketballBall = JustinoIcons.byName('basketballBall');
  static IconData bassClef = JustinoIcons.byName('bassClef');
  static IconData bat = JustinoIcons.byName('bat');
  static IconData battery = JustinoIcons.byName('battery');
  static IconData bbq1 = JustinoIcons.byName('bbq1');
  static IconData bbq = JustinoIcons.byName('bbq');
  static IconData beachUmbrella = JustinoIcons.byName('beachUmbrella');
  static IconData bear = JustinoIcons.byName('bear');
  static IconData bike = JustinoIcons.byName('bike');
  static IconData billiard = JustinoIcons.byName('billiard');
  static IconData binoculars = JustinoIcons.byName('binoculars');
  static IconData birdHouse = JustinoIcons.byName('birdHouse');
  static IconData bird = JustinoIcons.byName('bird');
  static IconData birthdayBoy = JustinoIcons.byName('birthdayBoy');
  static IconData birthdayCake = JustinoIcons.byName('birthdayCake');
  static IconData birthdayCard = JustinoIcons.byName('birthdayCard');
  static IconData birthdayCupcake = JustinoIcons.byName('birthdayCupcake');
  static IconData boardingPass = JustinoIcons.byName('boardingPass');
  static IconData bookmark = JustinoIcons.byName('bookmark');
  static IconData boombox = JustinoIcons.byName('boombox');
  static IconData bowAndArrow = JustinoIcons.byName('bowAndArrow');
  static IconData bowlingBall = JustinoIcons.byName('bowlingBall');
  static IconData boxingGlove = JustinoIcons.byName('boxingGlove');
  static IconData broom = JustinoIcons.byName('broom');
  static IconData burger = JustinoIcons.byName('burger');
  static IconData bus = JustinoIcons.byName('bus');
  static IconData cableCar = JustinoIcons.byName('cableCar');
  static IconData cage = JustinoIcons.byName('cage');
  static IconData calculator = JustinoIcons.byName('calculator');
  static IconData calendar = JustinoIcons.byName('calendar');
  static IconData camcorder = JustinoIcons.byName('camcorder');
  static IconData camera1 = JustinoIcons.byName('camera1');
  static IconData camera = JustinoIcons.byName('camera');
  static IconData campfire = JustinoIcons.byName('campfire');
  static IconData candle = JustinoIcons.byName('candle');
  static IconData carKey = JustinoIcons.byName('carKey');
  static IconData care = JustinoIcons.byName('care');
  static IconData cat = JustinoIcons.byName('cat');
  static IconData cauldron = JustinoIcons.byName('cauldron');
  static IconData cereals = JustinoIcons.byName('cereals');
  static IconData certificate1 = JustinoIcons.byName('certificate1');
  static IconData certificate = JustinoIcons.byName('certificate');
  static IconData champagne1 = JustinoIcons.byName('champagne1');
  static IconData champagne = JustinoIcons.byName('champagne');
  static IconData cheers = JustinoIcons.byName('cheers');
  static IconData chick = JustinoIcons.byName('chick');
  static IconData christmasBell = JustinoIcons.byName('christmasBell');
  static IconData christmasHat = JustinoIcons.byName('christmasHat');
  static IconData christmasTree = JustinoIcons.byName('christmasTree');
  static IconData clear = JustinoIcons.byName('clear');
  static IconData clock1 = JustinoIcons.byName('clock1');
  static IconData clock2 = JustinoIcons.byName('clock2');
  static IconData clock = JustinoIcons.byName('clock');
  static IconData cloud = JustinoIcons.byName('cloud');
  static IconData clover = JustinoIcons.byName('clover');
  static IconData cocktail1 = JustinoIcons.byName('cocktail1');
  static IconData cocktail2 = JustinoIcons.byName('cocktail2');
  static IconData cocktail3 = JustinoIcons.byName('cocktail3');
  static IconData cocktail = JustinoIcons.byName('cocktail');
  static IconData coin = JustinoIcons.byName('coin');
  static IconData compass = JustinoIcons.byName('compass');
  static IconData computerScreen = JustinoIcons.byName('computerScreen');
  static IconData computer = JustinoIcons.byName('computer');
  static IconData cone = JustinoIcons.byName('cone');
  static IconData confetti = JustinoIcons.byName('confetti');
  static IconData console = JustinoIcons.byName('console');
  static IconData cookies = JustinoIcons.byName('cookies');
  static IconData creativity = JustinoIcons.byName('creativity');
  static IconData creditCard = JustinoIcons.byName('creditCard');
  static IconData crown1 = JustinoIcons.byName('crown1');
  static IconData crown = JustinoIcons.byName('crown');
  static IconData cupcake = JustinoIcons.byName('cupcake');
  static IconData cutlery = JustinoIcons.byName('cutlery');
  static IconData delete1 = JustinoIcons.byName('delete1');
  static IconData delete = JustinoIcons.byName('delete');
  static IconData deliveryTruck = JustinoIcons.byName('deliveryTruck');
  static IconData delivery = JustinoIcons.byName('delivery');
  static IconData diamond = JustinoIcons.byName('diamond');
  static IconData disabledPerson = JustinoIcons.byName('disabledPerson');
  static IconData divingMask = JustinoIcons.byName('divingMask');
  static IconData dogBone = JustinoIcons.byName('dogBone');
  static IconData dog = JustinoIcons.byName('dog');
  static IconData dollar = JustinoIcons.byName('dollar');
  static IconData donut = JustinoIcons.byName('donut');
  static IconData doorLock = JustinoIcons.byName('doorLock');
  static IconData driversLicense = JustinoIcons.byName('driversLicense');
  static IconData dumbbell1 = JustinoIcons.byName('dumbbell1');
  static IconData dumbbell = JustinoIcons.byName('dumbbell');
  static IconData earth = JustinoIcons.byName('earth');
  static IconData easterEgg = JustinoIcons.byName('easterEgg');
  static IconData edit = JustinoIcons.byName('edit');
  static IconData electricGuitar = JustinoIcons.byName('electricGuitar');
  static IconData electricKeyboard = JustinoIcons.byName('electricKeyboard');
  static IconData envelope = JustinoIcons.byName('envelope');
  static IconData exchange = JustinoIcons.byName('exchange');
  static IconData eyeMask1 = JustinoIcons.byName('eyeMask1');
  static IconData eyeMask = JustinoIcons.byName('eyeMask');
  static IconData eyeScanner = JustinoIcons.byName('eyeScanner');
  static IconData eye = JustinoIcons.byName('eye');
  static IconData fencing = JustinoIcons.byName('fencing');
  static IconData filmReel = JustinoIcons.byName('filmReel');
  static IconData fireworks = JustinoIcons.byName('fireworks');
  static IconData firstAidKit = JustinoIcons.byName('firstAidKit');
  static IconData fishing = JustinoIcons.byName('fishing');
  static IconData flag1 = JustinoIcons.byName('flag1');
  static IconData flag = JustinoIcons.byName('flag');
  static IconData flask1 = JustinoIcons.byName('flask1');
  static IconData flask = JustinoIcons.byName('flask');
  static IconData flipFlops = JustinoIcons.byName('flipFlops');
  static IconData floods = JustinoIcons.byName('floods');
  static IconData flower = JustinoIcons.byName('flower');
  static IconData folder = JustinoIcons.byName('folder');
  static IconData footballBall = JustinoIcons.byName('footballBall');
  static IconData footballField = JustinoIcons.byName('footballField');
  static IconData forest = JustinoIcons.byName('forest');
  static IconData frenchHorn = JustinoIcons.byName('frenchHorn');
  static IconData frog = JustinoIcons.byName('frog');
  static IconData galaxy = JustinoIcons.byName('galaxy');
  static IconData gamepad = JustinoIcons.byName('gamepad');
  static IconData gift = JustinoIcons.byName('gift');
  static IconData glasses = JustinoIcons.byName('glasses');
  static IconData globe = JustinoIcons.byName('globe');
  static IconData glove = JustinoIcons.byName('glove');
  static IconData goggles = JustinoIcons.byName('goggles');
  static IconData greetingCard = JustinoIcons.byName('greetingCard');
  static IconData grill = JustinoIcons.byName('grill');
  static IconData guitar = JustinoIcons.byName('guitar');
  static IconData gun = JustinoIcons.byName('gun');
  static IconData handGrip = JustinoIcons.byName('handGrip');
  static IconData hat = JustinoIcons.byName('hat');
  static IconData headphone = JustinoIcons.byName('headphone');
  static IconData headphones = JustinoIcons.byName('headphones');
  static IconData heartBalloon = JustinoIcons.byName('heartBalloon');
  static IconData heartRate = JustinoIcons.byName('heartRate');
  static IconData hockeyStick = JustinoIcons.byName('hockeyStick');
  static IconData homePage = JustinoIcons.byName('homePage');
  static IconData home = JustinoIcons.byName('home');
  static IconData hourglass = JustinoIcons.byName('hourglass');
  static IconData iceCreamCup = JustinoIcons.byName('iceCreamCup');
  static IconData idea = JustinoIcons.byName('idea');
  static IconData image = JustinoIcons.byName('image');
  static IconData irishCoffee = JustinoIcons.byName('irishCoffee');
  static IconData juice = JustinoIcons.byName('juice');
  static IconData jumpRope = JustinoIcons.byName('jumpRope');
  static IconData jupiter = JustinoIcons.byName('jupiter');
  static IconData karaoke = JustinoIcons.byName('karaoke');
  static IconData kettle = JustinoIcons.byName('kettle');
  static IconData keyboard1 = JustinoIcons.byName('keyboard1');
  static IconData keyboard = JustinoIcons.byName('keyboard');
  static IconData keyword = JustinoIcons.byName('keyword');
  static IconData knight = JustinoIcons.byName('knight');
  static IconData ladybug = JustinoIcons.byName('ladybug');
  static IconData land = JustinoIcons.byName('land');
  static IconData launch = JustinoIcons.byName('launch');
  static IconData letter = JustinoIcons.byName('letter');
  static IconData lifeJacket = JustinoIcons.byName('lifeJacket');
  static IconData lighthouse = JustinoIcons.byName('lighthouse');
  static IconData live = JustinoIcons.byName('live');
  static IconData location = JustinoIcons.byName('location');
  static IconData lock1 = JustinoIcons.byName('lock1');
  static IconData lock = JustinoIcons.byName('lock');
  static IconData logIn = JustinoIcons.byName('logIn');
  static IconData logOut = JustinoIcons.byName('logOut');
  static IconData lollipop = JustinoIcons.byName('lollipop');
  static IconData luggage = JustinoIcons.byName('luggage');
  static IconData lyre = JustinoIcons.byName('lyre');
  static IconData magic = JustinoIcons.byName('magic');
  static IconData mailInboxApp = JustinoIcons.byName('mailInboxApp');
  static IconData mail = JustinoIcons.byName('mail');
  static IconData map1 = JustinoIcons.byName('map1');
  static IconData map = JustinoIcons.byName('map');
  static IconData matches = JustinoIcons.byName('matches');
  static IconData medal1 = JustinoIcons.byName('medal1');
  static IconData medal = JustinoIcons.byName('medal');
  static IconData megaphone = JustinoIcons.byName('megaphone');
  static IconData metal = JustinoIcons.byName('metal');
  static IconData microphone1 = JustinoIcons.byName('microphone1');
  static IconData microphone2 = JustinoIcons.byName('microphone2');
  static IconData microphone = JustinoIcons.byName('microphone');
  static IconData microscope = JustinoIcons.byName('microscope');
  static IconData money = JustinoIcons.byName('money');
  static IconData mortarboard = JustinoIcons.byName('mortarboard');
  static IconData mountain1 = JustinoIcons.byName('mountain1');
  static IconData mountain = JustinoIcons.byName('mountain');
  static IconData mouse1 = JustinoIcons.byName('mouse1');
  static IconData mouseClicker = JustinoIcons.byName('mouseClicker');
  static IconData mouse = JustinoIcons.byName('mouse');
  static IconData mug = JustinoIcons.byName('mug');
  static IconData mulledWine = JustinoIcons.byName('mulledWine');
  static IconData music1 = JustinoIcons.byName('music1');
  static IconData music2 = JustinoIcons.byName('music2');
  static IconData music3 = JustinoIcons.byName('music3');
  static IconData music4 = JustinoIcons.byName('music4');
  static IconData musicAlbum = JustinoIcons.byName('musicAlbum');
  static IconData musicSpeaker = JustinoIcons.byName('musicSpeaker');
  static IconData music = JustinoIcons.byName('music');
  static IconData navigation = JustinoIcons.byName('navigation');
  static IconData news = JustinoIcons.byName('news');
  static IconData north = JustinoIcons.byName('north');
  static IconData notification = JustinoIcons.byName('notification');
  static IconData nuclear = JustinoIcons.byName('nuclear');
  static IconData oars = JustinoIcons.byName('oars');
  static IconData octopus = JustinoIcons.byName('octopus');
  static IconData orangeJuice = JustinoIcons.byName('orangeJuice');
  static IconData owl = JustinoIcons.byName('owl');
  static IconData padlock = JustinoIcons.byName('padlock');
  static IconData panda = JustinoIcons.byName('panda');
  static IconData paperPlane = JustinoIcons.byName('paperPlane');
  static IconData partyHat = JustinoIcons.byName('partyHat');
  static IconData party = JustinoIcons.byName('party');
  static IconData passport = JustinoIcons.byName('passport');
  static IconData pawprint = JustinoIcons.byName('pawprint');
  static IconData pen = JustinoIcons.byName('pen');
  static IconData pencil = JustinoIcons.byName('pencil');
  static IconData penguin = JustinoIcons.byName('penguin');
  static IconData petCarrier = JustinoIcons.byName('petCarrier');
  static IconData petFood = JustinoIcons.byName('petFood');
  static IconData pet = JustinoIcons.byName('pet');
  static IconData petriDish = JustinoIcons.byName('petriDish');
  static IconData pharmacy = JustinoIcons.byName('pharmacy');
  static IconData phone = JustinoIcons.byName('phone');
  static IconData photoCamera1 = JustinoIcons.byName('photoCamera1');
  static IconData photoCamera2 = JustinoIcons.byName('photoCamera2');
  static IconData photoCamera3 = JustinoIcons.byName('photoCamera3');
  static IconData photoCamera = JustinoIcons.byName('photoCamera');
  static IconData piano1 = JustinoIcons.byName('piano1');
  static IconData piano = JustinoIcons.byName('piano');
  static IconData picture = JustinoIcons.byName('picture');
  static IconData pieChart = JustinoIcons.byName('pieChart');
  static IconData pig = JustinoIcons.byName('pig');
  static IconData pingPong = JustinoIcons.byName('pingPong');
  static IconData pinwheel = JustinoIcons.byName('pinwheel');
  static IconData pizzaSlice = JustinoIcons.byName('pizzaSlice');
  static IconData placeholder = JustinoIcons.byName('placeholder');
  static IconData podcast = JustinoIcons.byName('podcast');
  static IconData policeman = JustinoIcons.byName('policeman');
  static IconData prosthesis = JustinoIcons.byName('prosthesis');
  static IconData pumpkin = JustinoIcons.byName('pumpkin');
  static IconData qrCode = JustinoIcons.byName('qrCode');
  static IconData rabbit = JustinoIcons.byName('rabbit');
  static IconData radio1 = JustinoIcons.byName('radio1');
  static IconData radio = JustinoIcons.byName('radio');
  static IconData rake = JustinoIcons.byName('rake');
  static IconData restaurant = JustinoIcons.byName('restaurant');
  static IconData roadblock = JustinoIcons.byName('roadblock');
  static IconData rocket = JustinoIcons.byName('rocket');
  static IconData rugbyBall1 = JustinoIcons.byName('rugbyBall1');
  static IconData rugbyBall = JustinoIcons.byName('rugbyBall');
  static IconData safetyGoggles = JustinoIcons.byName('safetyGoggles');
  static IconData satellite = JustinoIcons.byName('satellite');
  static IconData saturn = JustinoIcons.byName('saturn');
  static IconData sausage = JustinoIcons.byName('sausage');
  static IconData savings = JustinoIcons.byName('savings');
  static IconData screwdriver = JustinoIcons.byName('screwdriver');
  static IconData search1 = JustinoIcons.byName('search1');
  static IconData search = JustinoIcons.byName('search');
  static IconData seed = JustinoIcons.byName('seed');
  static IconData seedling = JustinoIcons.byName('seedling');
  static IconData send = JustinoIcons.byName('send');
  static IconData seoTag = JustinoIcons.byName('seoTag');
  static IconData settings = JustinoIcons.byName('settings');
  static IconData sheep = JustinoIcons.byName('sheep');
  static IconData shipWheel = JustinoIcons.byName('shipWheel');
  static IconData shoppingBag = JustinoIcons.byName('shoppingBag');
  static IconData shower = JustinoIcons.byName('shower');
  static IconData sickle = JustinoIcons.byName('sickle');
  static IconData signpost = JustinoIcons.byName('signpost');
  static IconData smartWatch = JustinoIcons.byName('smartWatch');
  static IconData smartphone = JustinoIcons.byName('smartphone');
  static IconData smile = JustinoIcons.byName('smile');
  static IconData snail = JustinoIcons.byName('snail');
  static IconData snake = JustinoIcons.byName('snake');
  static IconData soundWave = JustinoIcons.byName('soundWave');
  static IconData speaker1 = JustinoIcons.byName('speaker1');
  static IconData speaker = JustinoIcons.byName('speaker');
  static IconData spectacles = JustinoIcons.byName('spectacles');
  static IconData speechBubble = JustinoIcons.byName('speechBubble');
  static IconData speedometer = JustinoIcons.byName('speedometer');
  static IconData spreadsheetApp = JustinoIcons.byName('spreadsheetApp');
  static IconData stopwatch = JustinoIcons.byName('stopwatch');
  static IconData sunHat = JustinoIcons.byName('sunHat');
  static IconData sunUmbrella = JustinoIcons.byName('sunUmbrella');
  static IconData sun = JustinoIcons.byName('sun');
  static IconData sunflower = JustinoIcons.byName('sunflower');
  static IconData sunset = JustinoIcons.byName('sunset');
  static IconData surfboard = JustinoIcons.byName('surfboard');
  static IconData swimmingPool = JustinoIcons.byName('swimmingPool');
  static IconData tShirt = JustinoIcons.byName('tShirt');
  static IconData target = JustinoIcons.byName('target');
  static IconData taxi = JustinoIcons.byName('taxi');
  static IconData tent = JustinoIcons.byName('tent');
  static IconData testTube = JustinoIcons.byName('testTube');
  static IconData testing = JustinoIcons.byName('testing');
  static IconData theaterMasks = JustinoIcons.byName('theaterMasks');
  static IconData third = JustinoIcons.byName('third');
  static IconData ticket = JustinoIcons.byName('ticket');
  static IconData time = JustinoIcons.byName('time');
  static IconData tongs = JustinoIcons.byName('tongs');
  static IconData tractor = JustinoIcons.byName('tractor');
  static IconData train = JustinoIcons.byName('train');
  static IconData translate = JustinoIcons.byName('translate');
  static IconData trident = JustinoIcons.byName('trident');
  static IconData trombone = JustinoIcons.byName('trombone');
  static IconData trophy = JustinoIcons.byName('trophy');
  static IconData tuba = JustinoIcons.byName('tuba');
  static IconData turntable = JustinoIcons.byName('turntable');
  static IconData tvApp = JustinoIcons.byName('tvApp');
  static IconData tv = JustinoIcons.byName('tv');
  static IconData umbrella = JustinoIcons.byName('umbrella');
  static IconData uranus = JustinoIcons.byName('uranus');
  static IconData useSlippers = JustinoIcons.byName('useSlippers');
  static IconData user = JustinoIcons.byName('user');
  static IconData vinyl = JustinoIcons.byName('vinyl');
  static IconData volumeUp = JustinoIcons.byName('volumeUp');
  static IconData volume = JustinoIcons.byName('volume');
  static IconData vrGlasses = JustinoIcons.byName('vrGlasses');
  static IconData walkieTalkie = JustinoIcons.byName('walkieTalkie');
  static IconData walletPassesApp = JustinoIcons.byName('walletPassesApp');
  static IconData wallet = JustinoIcons.byName('wallet');
  static IconData waterHose = JustinoIcons.byName('waterHose');
  static IconData weatherApp = JustinoIcons.byName('weatherApp');
  static IconData webBrowser = JustinoIcons.byName('webBrowser');
  static IconData webcam = JustinoIcons.byName('webcam');
  static IconData weightScale = JustinoIcons.byName('weightScale');
  static IconData wheelchair = JustinoIcons.byName('wheelchair');
  static IconData wifiRouter1 = JustinoIcons.byName('wifiRouter1');
  static IconData wifiRouter = JustinoIcons.byName('wifiRouter');
  static IconData wifi = JustinoIcons.byName('wifi');
  static IconData windmill = JustinoIcons.byName('windmill');
  static IconData wineBottle = JustinoIcons.byName('wineBottle');
  static IconData wrench = JustinoIcons.byName('wrench');
  static IconData wristwatch = JustinoIcons.byName('wristwatch');
  static IconData xylophone = JustinoIcons.byName('xylophone');
  static IconData yogaMat = JustinoIcons.byName('yogaMat');
  static IconData youtube = JustinoIcons.byName('youtube');
}
